Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.ui
Class ECPDeleteServiceImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.ui.ECPDeleteServiceImpl

All Implemented Interfaces:
  DeleteService, ViewModelService

    public class ECPDeleteServiceImpl

extends Object
implements DeleteService

ECP specific implementation of the `DeleteService`.

Since:
  1.6
Author:
  jfaltermeier

Constructor Summary
`ECPDeleteServiceImpl()`

Method Summary
`void` | `deleteElement(Object toDelete)` Deletes the given object from the containment tree.
`void` | `deleteElements(Collection<Object> toDelete)` Deletes the given objects from the containment tree.
`void` | `dispose()` Dispose.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPDeleteServiceImpl

    public ECPDeleteServiceImpl()

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`
  See Also:
    `ViewModelService.instantiate(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### dispose

    public void dispose()

  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`
  See Also:
    `ViewModelService.dispose()`

### getPriority

    public int getPriority()

  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority
  See Also:
    `ViewModelService.getPriority()`

### deleteElements

    public void deleteElements(Collection<Object> toDelete)

  Deletes the given objects from the containment tree. This will cut all references to the deleted objects.

  Specified by:
    `deleteElements` in interface `DeleteService`
  Parameters:
    `toDelete` - the objects to delete
  See Also:
    `EMFDeleteServiceImpl.deleteElements(java.util.Collection)`

### deleteElement

    public void deleteElement(Object toDelete)

  Deletes the given object from the containment tree. This will cut all references to the deleted object.

  Specified by:
    `deleteElement` in interface `DeleteService`
  Parameters:
    `toDelete` - the object to delete
  See Also:
    `EMFDeleteServiceImpl.deleteElement(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.